SpyBara
Go Premium

resources/videos/index.md 2026-07-07 08:02 UTC to 2026-07-09 20:58 UTC

98 added, 134 removed.

2026
Fri 31 21:03 Thu 30 23:58 Wed 29 15:02 Sat 25 05:59 Thu 23 18:00 Wed 22 20:02 Mon 20 20:00 Fri 17 17:00 Thu 16 20:57 Wed 15 02:58 Tue 14 06:58 Mon 13 15:59 Sun 12 06:58 Fri 10 23:02 Thu 9 20:58 Tue 7 08:02

Videos

Create video

post /videos

Create video

Returns

  • Video object { id, completed_at, created_at, 10 more }

    Structured information describing a generated video job.

    • id: string

      Unique identifier for the video job.

    • completed_at: number

      Unix timestamp (seconds) for when the job completed, if finished.

    • created_at: number

      Unix timestamp (seconds) for when the job was created.

    • error: VideoCreateError

      Error payload that explains why generation failed, if applicable.

      • code: string

        A machine-readable error code that was returned.

      • message: string

        A human-readable description of the error that was returned.

    • expires_at: number

      Unix timestamp (seconds) for when the downloadable assets expire, if set.

    • model: VideoModel

      The video generation model that produced the job.

      • string

      • "sora-2" or "sora-2-pro" or "sora-2-2025-10-06" or 2 more

        • "sora-2"

        • "sora-2-pro"

        • "sora-2-2025-10-06"

        • "sora-2-pro-2025-10-06"

        • "sora-2-2025-12-08"

    • object: "video"

      The object type, which is always video.

      • "video"
    • progress: number

      Approximate completion percentage for the generation task.

    • prompt: string

      The prompt that was used to generate the video.

    • remixed_from_video_id: string

      Identifier of the source video if this video is a remix.

    • seconds: string or VideoSeconds

      Duration of the generated clip in seconds. For extensions, this is the stitched total duration.

      • string

      • VideoSeconds = "4" or "8" or "12"

        • "4"

        • "8"

        • "12"

    • size: VideoSize

      The resolution of the generated video.

      • "720x1280"

      • "1280x720"

      • "1024x1792"

      • "1792x1024"

    • status: "queued" or "in_progress" or "completed" or "failed"

      Current lifecycle status of the video job.

      • "queued"

      • "in_progress"

      • "completed"

      • "failed"

Example

curl https://api.openai.com/v1/videos \
    -H 'Content-Type: multipart/form-data' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -F prompt=x

Response

{
  "id": "id",
  "completed_at": 0,
  "created_at": 0,
  "error": {
    "code": "code",
    "message": "message"
  },
  "expires_at": 0,
  "model": "sora-2",
  "object": "video",
  "progress": 0,
  "prompt": "prompt",
  "remixed_from_video_id": "remixed_from_video_id",
  "seconds": "4",
  "size": "720x1280",
  "status": "queued"
}

Example

curl https://api.openai.com/v1/videos \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -F "model=sora-2" \
  -F "prompt=A calico cat playing a piano on stage"

Response

{
  "id": "video_123",
  "object": "video",
  "model": "sora-2",
  "status": "queued",
  "progress": 0,
  "created_at": 1712697600,
  "size": "1024x1792",
  "seconds": "8",
  "quality": "standard"
}

Create a new video generation job by editing a source video or existing generated video.

post /videos/edits

Create a new video generation job by editing a source video or existing generated video.

Returns

  • Video object { id, completed_at, created_at, 10 more }

    Structured information describing a generated video job.

    • id: string

      Unique identifier for the video job.

    • completed_at: number

      Unix timestamp (seconds) for when the job completed, if finished.

    • created_at: number

      Unix timestamp (seconds) for when the job was created.

    • error: VideoCreateError

      Error payload that explains why generation failed, if applicable.

      • code: string

        A machine-readable error code that was returned.

      • message: string

        A human-readable description of the error that was returned.

    • expires_at: number

      Unix timestamp (seconds) for when the downloadable assets expire, if set.

    • model: VideoModel

      The video generation model that produced the job.

      • string

      • "sora-2" or "sora-2-pro" or "sora-2-2025-10-06" or 2 more

        • "sora-2"

        • "sora-2-pro"

        • "sora-2-2025-10-06"

        • "sora-2-pro-2025-10-06"

        • "sora-2-2025-12-08"

    • object: "video"

      The object type, which is always video.

      • "video"
    • progress: number

      Approximate completion percentage for the generation task.

    • prompt: string

      The prompt that was used to generate the video.

    • remixed_from_video_id: string

      Identifier of the source video if this video is a remix.

    • seconds: string or VideoSeconds

      Duration of the generated clip in seconds. For extensions, this is the stitched total duration.

      • string

      • VideoSeconds = "4" or "8" or "12"

        • "4"

        • "8"

        • "12"

    • size: VideoSize

      The resolution of the generated video.

      • "720x1280"

      • "1280x720"

      • "1024x1792"

      • "1792x1024"

    • status: "queued" or "in_progress" or "completed" or "failed"

      Current lifecycle status of the video job.

      • "queued"

      • "in_progress"

      • "completed"

      • "failed"

Example

curl https://api.openai.com/v1/videos/edits \
    -H 'Content-Type: multipart/form-data' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -F prompt=x \
    -F video='Example data'

Response

{
  "id": "id",
  "completed_at": 0,
  "created_at": 0,
  "error": {
    "code": "code",
    "message": "message"
  },
  "expires_at": 0,
  "model": "sora-2",
  "object": "video",
  "progress": 0,
  "prompt": "prompt",
  "remixed_from_video_id": "remixed_from_video_id",
  "seconds": "4",
  "size": "720x1280",
  "status": "queued"
}

Create an extension of a completed video.

post /videos/extensions

Create an extension of a completed video.

Returns

  • Video object { id, completed_at, created_at, 10 more }

    Structured information describing a generated video job.

    • id: string

      Unique identifier for the video job.

    • completed_at: number

      Unix timestamp (seconds) for when the job completed, if finished.

    • created_at: number

      Unix timestamp (seconds) for when the job was created.

    • error: VideoCreateError

      Error payload that explains why generation failed, if applicable.

      • code: string

        A machine-readable error code that was returned.

      • message: string

        A human-readable description of the error that was returned.

    • expires_at: number

      Unix timestamp (seconds) for when the downloadable assets expire, if set.

    • model: VideoModel

      The video generation model that produced the job.

      • string

      • "sora-2" or "sora-2-pro" or "sora-2-2025-10-06" or 2 more

        • "sora-2"

        • "sora-2-pro"

        • "sora-2-2025-10-06"

        • "sora-2-pro-2025-10-06"

        • "sora-2-2025-12-08"

    • object: "video"

      The object type, which is always video.

      • "video"
    • progress: number

      Approximate completion percentage for the generation task.

    • prompt: string

      The prompt that was used to generate the video.

    • remixed_from_video_id: string

      Identifier of the source video if this video is a remix.

    • seconds: string or VideoSeconds

      Duration of the generated clip in seconds. For extensions, this is the stitched total duration.

      • string

      • VideoSeconds = "4" or "8" or "12"

        • "4"

        • "8"

        • "12"

    • size: VideoSize

      The resolution of the generated video.

      • "720x1280"

      • "1280x720"

      • "1024x1792"

      • "1792x1024"

    • status: "queued" or "in_progress" or "completed" or "failed"

      Current lifecycle status of the video job.

      • "queued"

      • "in_progress"

      • "completed"

      • "failed"

Example

curl https://api.openai.com/v1/videos/extensions \
    -H 'Content-Type: multipart/form-data' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -F prompt=x \
    -F seconds=4 \
    -F video='Example data'

Response

{
  "id": "id",
  "completed_at": 0,
  "created_at": 0,
  "error": {
    "code": "code",
    "message": "message"
  },
  "expires_at": 0,
  "model": "sora-2",
  "object": "video",
  "progress": 0,
  "prompt": "prompt",
  "remixed_from_video_id": "remixed_from_video_id",
  "seconds": "4",
  "size": "720x1280",
  "status": "queued"
}

Create a character from an uploaded video.

post /videos/characters

Create a character from an uploaded video.

Returns

  • id: string

    Identifier for the character creation cameo.

  • created_at: number

    Unix timestamp (in seconds) when the character was created.

  • name: string

    Display name for the character.

Example

curl https://api.openai.com/v1/videos/characters \
    -H 'Content-Type: multipart/form-data' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -F name=x \
    -F 'video=@/path/to/video'

Response

{
  "id": "id",
  "created_at": 0,
  "name": "name"
}

Fetch a character.

get /videos/characters/{character_id}

Fetch a character.

Path Parameters

  • character_id: string

Returns

  • id: string

    Identifier for the character creation cameo.

  • created_at: number

    Unix timestamp (in seconds) when the character was created.

  • name: string

    Display name for the character.

Example

curl https://api.openai.com/v1/videos/characters/$CHARACTER_ID \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "created_at": 0,
  "name": "name"
}

List videos

get /videos

List videos

Query Parameters

  • after: optional string

    Identifier for the last item from the previous pagination request

  • limit: optional number

    Number of items to retrieve

  • order: optional "asc" or "desc"

    Sort order of results by timestamp. Use asc for ascending order or desc for descending order.

    • "asc"

    • "desc"

Returns

  • data: array of Video

    A list of items

    • id: string

      Unique identifier for the video job.

    • completed_at: number

      Unix timestamp (seconds) for when the job completed, if finished.

    • created_at: number

      Unix timestamp (seconds) for when the job was created.

    • error: VideoCreateError

      Error payload that explains why generation failed, if applicable.

      • code: string

        A machine-readable error code that was returned.

      • message: string

        A human-readable description of the error that was returned.

    • expires_at: number

      Unix timestamp (seconds) for when the downloadable assets expire, if set.

    • model: VideoModel

      The video generation model that produced the job.

      • string

      • "sora-2" or "sora-2-pro" or "sora-2-2025-10-06" or 2 more

        • "sora-2"

        • "sora-2-pro"

        • "sora-2-2025-10-06"

        • "sora-2-pro-2025-10-06"

        • "sora-2-2025-12-08"

    • object: "video"

      The object type, which is always video.

      • "video"
    • progress: number

      Approximate completion percentage for the generation task.

    • prompt: string

      The prompt that was used to generate the video.

    • remixed_from_video_id: string

      Identifier of the source video if this video is a remix.

    • seconds: string or VideoSeconds

      Duration of the generated clip in seconds. For extensions, this is the stitched total duration.

      • string

      • VideoSeconds = "4" or "8" or "12"

        • "4"

        • "8"

        • "12"

    • size: VideoSize

      The resolution of the generated video.

      • "720x1280"

      • "1280x720"

      • "1024x1792"

      • "1792x1024"

    • status: "queued" or "in_progress" or "completed" or "failed"

      Current lifecycle status of the video job.

      • "queued"

      • "in_progress"

      • "completed"

      • "failed"

  • first_id: string

    The ID of the first item in the list.

  • has_more: boolean

    Whether there are more items available.

  • last_id: string

    The ID of the last item in the list.

  • object: "list"

    The type of object returned, must be list.

    • "list"

Example

curl https://api.openai.com/v1/videos \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "data": [
    {
      "id": "id",
      "completed_at": 0,
      "created_at": 0,
      "error": {
        "code": "code",
        "message": "message"
      },
      "expires_at": 0,
      "model": "sora-2",
      "object": "video",
      "progress": 0,
      "prompt": "prompt",
      "remixed_from_video_id": "remixed_from_video_id",
      "seconds": "4",
      "size": "720x1280",
      "status": "queued"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id",
  "object": "list"
}

Example

curl https://api.openai.com/v1/videos \
  -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "data": [
    {
      "id": "video_123",
      "object": "video",
      "model": "sora-2",
      "status": "completed"
    }
  ],
  "object": "list"
}

Retrieve video

get /videos/{video_id}

Retrieve video

Path Parameters

  • video_id: string

Returns

  • Video object { id, completed_at, created_at, 10 more }

    Structured information describing a generated video job.

    • id: string

      Unique identifier for the video job.

    • completed_at: number

      Unix timestamp (seconds) for when the job completed, if finished.

    • created_at: number

      Unix timestamp (seconds) for when the job was created.

    • error: VideoCreateError

      Error payload that explains why generation failed, if applicable.

      • code: string

        A machine-readable error code that was returned.

      • message: string

        A human-readable description of the error that was returned.

    • expires_at: number

      Unix timestamp (seconds) for when the downloadable assets expire, if set.

    • model: VideoModel

      The video generation model that produced the job.

      • string

      • "sora-2" or "sora-2-pro" or "sora-2-2025-10-06" or 2 more

        • "sora-2"

        • "sora-2-pro"

        • "sora-2-2025-10-06"

        • "sora-2-pro-2025-10-06"

        • "sora-2-2025-12-08"

    • object: "video"

      The object type, which is always video.

      • "video"
    • progress: number

      Approximate completion percentage for the generation task.

    • prompt: string

      The prompt that was used to generate the video.

    • remixed_from_video_id: string

      Identifier of the source video if this video is a remix.

    • seconds: string or VideoSeconds

      Duration of the generated clip in seconds. For extensions, this is the stitched total duration.

      • string

      • VideoSeconds = "4" or "8" or "12"

        • "4"

        • "8"

        • "12"

    • size: VideoSize

      The resolution of the generated video.

      • "720x1280"

      • "1280x720"

      • "1024x1792"

      • "1792x1024"

    • status: "queued" or "in_progress" or "completed" or "failed"

      Current lifecycle status of the video job.

      • "queued"

      • "in_progress"

      • "completed"

      • "failed"

Example

curl https://api.openai.com/v1/videos/$VIDEO_ID \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "completed_at": 0,
  "created_at": 0,
  "error": {
    "code": "code",
    "message": "message"
  },
  "expires_at": 0,
  "model": "sora-2",
  "object": "video",
  "progress": 0,
  "prompt": "prompt",
  "remixed_from_video_id": "remixed_from_video_id",
  "seconds": "4",
  "size": "720x1280",
  "status": "queued"
}

Delete video

delete /videos/{video_id}

Delete video

Path Parameters

  • video_id: string

Returns

  • id: string

    Identifier of the deleted video.

  • deleted: boolean

    Indicates that the video resource was deleted.

  • object: "video.deleted"

    The object type that signals the deletion response.

    • "video.deleted"

Example

curl https://api.openai.com/v1/videos/$VIDEO_ID \
    -X DELETE \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "deleted": true,
  "object": "video.deleted"
}

Remix video

post /videos/{video_id}/remix

Remix video

Path Parameters

  • video_id: string

Body Parameters

  • prompt: string

    Updated text prompt that directs the remix generation.

Returns

  • Video object { id, completed_at, created_at, 10 more }

    Structured information describing a generated video job.

    • id: string

      Unique identifier for the video job.

    • completed_at: number

      Unix timestamp (seconds) for when the job completed, if finished.

    • created_at: number

      Unix timestamp (seconds) for when the job was created.

    • error: VideoCreateError

      Error payload that explains why generation failed, if applicable.

      • code: string

        A machine-readable error code that was returned.

      • message: string

        A human-readable description of the error that was returned.

    • expires_at: number

      Unix timestamp (seconds) for when the downloadable assets expire, if set.

    • model: VideoModel

      The video generation model that produced the job.

      • string

      • "sora-2" or "sora-2-pro" or "sora-2-2025-10-06" or 2 more

        • "sora-2"

        • "sora-2-pro"

        • "sora-2-2025-10-06"

        • "sora-2-pro-2025-10-06"

        • "sora-2-2025-12-08"

    • object: "video"

      The object type, which is always video.

      • "video"
    • progress: number

      Approximate completion percentage for the generation task.

    • prompt: string

      The prompt that was used to generate the video.

    • remixed_from_video_id: string

      Identifier of the source video if this video is a remix.

    • seconds: string or VideoSeconds

      Duration of the generated clip in seconds. For extensions, this is the stitched total duration.

      • string

      • VideoSeconds = "4" or "8" or "12"

        • "4"

        • "8"

        • "12"

    • size: VideoSize

      The resolution of the generated video.

      • "720x1280"

      • "1280x720"

      • "1024x1792"

      • "1792x1024"

    • status: "queued" or "in_progress" or "completed" or "failed"

      Current lifecycle status of the video job.

      • "queued"

      • "in_progress"

      • "completed"

      • "failed"

Example

curl https://api.openai.com/v1/videos/$VIDEO_ID/remix \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -d '{
          "prompt": "x"
        }'

Response

{
  "id": "id",
  "completed_at": 0,
  "created_at": 0,
  "error": {
    "code": "code",
    "message": "message"
  },
  "expires_at": 0,
  "model": "sora-2",
  "object": "video",
  "progress": 0,
  "prompt": "prompt",
  "remixed_from_video_id": "remixed_from_video_id",
  "seconds": "4",
  "size": "720x1280",
  "status": "queued"
}

Example

curl -X POST https://api.openai.com/v1/videos/video_123/remix \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Extend the scene with the cat taking a bow to the cheering audience"
  }'

Response

{
  "id": "video_456",
  "object": "video",
  "model": "sora-2",
  "status": "queued",
  "progress": 0,
  "created_at": 1712698600,
  "size": "720x1280",
  "seconds": "8",
  "remixed_from_video_id": "video_123"
}

Retrieve video content

get /videos/{video_id}/content

Retrieve video content

Path Parameters

  • video_id: string

Query Parameters

  • variant: optional "video" or "thumbnail" or "spritesheet"

    Which downloadable asset to return. Defaults to the MP4 video.

    • "video"

    • "thumbnail"

    • "spritesheet"

Example

curl https://api.openai.com/v1/videos/$VIDEO_ID/content \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Domain Types

Image Input Reference Param

  • ImageInputReferenceParam object { file_id, image_url }

    • file_id: optional string

    • image_url: optional string

      A fully qualified URL or base64-encoded data URL.

Video

  • Video object { id, completed_at, created_at, 10 more }

    Structured information describing a generated video job.

    • id: string

      Unique identifier for the video job.

    • completed_at: number

      Unix timestamp (seconds) for when the job completed, if finished.

    • created_at: number

      Unix timestamp (seconds) for when the job was created.

    • error: VideoCreateError

      Error payload that explains why generation failed, if applicable.

      • code: string

        A machine-readable error code that was returned.

      • message: string

        A human-readable description of the error that was returned.

    • expires_at: number

      Unix timestamp (seconds) for when the downloadable assets expire, if set.

    • model: VideoModel

      The video generation model that produced the job.

      • string

      • "sora-2" or "sora-2-pro" or "sora-2-2025-10-06" or 2 more

        • "sora-2"

        • "sora-2-pro"

        • "sora-2-2025-10-06"

        • "sora-2-pro-2025-10-06"

        • "sora-2-2025-12-08"

    • object: "video"

      The object type, which is always video.

      • "video"
    • progress: number

      Approximate completion percentage for the generation task.

    • prompt: string

      The prompt that was used to generate the video.

    • remixed_from_video_id: string

      Identifier of the source video if this video is a remix.

    • seconds: string or VideoSeconds

      Duration of the generated clip in seconds. For extensions, this is the stitched total duration.

      • string

      • VideoSeconds = "4" or "8" or "12"

        • "4"

        • "8"

        • "12"

    • size: VideoSize

      The resolution of the generated video.

      • "720x1280"

      • "1280x720"

      • "1024x1792"

      • "1792x1024"

    • status: "queued" or "in_progress" or "completed" or "failed"

      Current lifecycle status of the video job.

      • "queued"

      • "in_progress"

      • "completed"

      • "failed"

Video Create Error

  • VideoCreateError object { code, message }

    An error that occurred while generating the response.

    • code: string

      A machine-readable error code that was returned.

    • message: string

      A human-readable description of the error that was returned.

Video Model

  • VideoModel = string or "sora-2" or "sora-2-pro" or "sora-2-2025-10-06" or 2 more

    • string

    • "sora-2" or "sora-2-pro" or "sora-2-2025-10-06" or 2 more

      • "sora-2"

      • "sora-2-pro"

      • "sora-2-2025-10-06"

      • "sora-2-pro-2025-10-06"

      • "sora-2-2025-12-08"

Video Seconds

  • VideoSeconds = "4" or "8" or "12"

    • "4"

    • "8"

    • "12"

Video Size

  • VideoSize = "720x1280" or "1280x720" or "1024x1792" or "1792x1024"

    • "720x1280"

    • "1280x720"

    • "1024x1792"

    • "1792x1024"

Video Create Character Response

  • VideoCreateCharacterResponse object { id, created_at, name }

    • id: string

      Identifier for the character creation cameo.

    • created_at: number

      Unix timestamp (in seconds) when the character was created.

    • name: string

      Display name for the character.

Video Get Character Response

  • VideoGetCharacterResponse object { id, created_at, name }

    • id: string

      Identifier for the character creation cameo.

    • created_at: number

      Unix timestamp (in seconds) when the character was created.

    • name: string

      Display name for the character.

Video Delete Response

  • VideoDeleteResponse object { id, deleted, object }

    Confirmation payload returned after deleting a video.

    • id: string

      Identifier of the deleted video.

    • deleted: boolean

      Indicates that the video resource was deleted.

    • object: "video.deleted"

      The object type that signals the deletion response.

      • "video.deleted"